<?php
/**
 * @brief CaMykS static configuration
 * @brief Automatically loaded by CaMykS object.
 * @details Engine / Configuration file
 * @author CaMykS Team <camyks.contact@gmail.com>
 * @version 1.0.40
 * @date Creation: Sep 2005
 * @date Modification: Dec 2023
 * @copyright 2005 - 2023 CaMykS Team
 * @note This program is distributed as is - WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 */

/**
 * @var string $this->website
 * @brief CaMykS Website
 */
$this->website = 'https://www.camyks.net';

/**
 * @var string $this->version
 * @brief CaMykS full version
 */
$this->version = '1.0-20231201';

/**
 * @var string $this->mversion
 * @brief CaMykS major version
 */
$this->mversion = '1.0';

/**
 * @var string $this->nversion
 * @brief CaMykS minor version
 */
$this->nversion = '20231201';

/**
 * @var integer $this->last_modification_date
 * @brief CaMykS last modification date
 */
$this->last_modification_date = mktime(0, 0, 0, 12, 1, 2023);

/**
 * @var string $this->engine_folder
 * @brief CaMykS engine folder
 */
$this->engine_folder = 'engine';

/**
 * @var string $this->plugin_folder
 * @brief CaMykS plugin folder
 */
$this->plugin_folder = 'plugin';

/**
 * @var string $this->conf_folder
 * @brief CaMykS configurtion folder
 */
$this->conf_folder = 'etc';

/**
 * @var string $this->var_folder
 * @brief CaMykS var folder
 */
$this->var_folder = 'var';

/**
 * @var string $this->cache_folder
 * @brief CaMykS cache folder
 */
$this->cache_folder = 'cache';

/**
 * @var string $this->file_extension
 * @brief CaMykS script files extensions
 */
$this->file_extension = '.php.inc';

/**
 * @var string $this->folder_name
 * @brief CaMykS parent folder name
 */
$this->folder_name = 'camyks';

/**
 * @var string $this->default_language
 * @brief CaMykS default language
 */
$this->default_language = 'fr';
?>
