<?php
/**
 * @brief Unknown bots as client bots specific methods
 * @details Engine / Bot Library
 * @author CaMykS Team <camyks.contact@gmail.com>
 * @version 1.0.35.1
 * @date Creation: Jan 2019
 * @date Modification: Oct 2021
 * @copyright 2019 - 2021 CaMykS Team
 * @note This program is distributed as is - WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * @warning This library is not loaded with CaMykS initialisation.
 */

/**
 * Return given known web unknown bot list.
 * @return array
 * @private
 */
function _client_getKnownUnknowns() {
    /* SEOBulls */
    $unknownBots['seo bulls'] = array(
        'platform_type'     => 'bot',
        'platform_format'   => 'desktop',
        'bot_title'         => 'SEO Bulls (Unknown bot)',
        'bot_url'           => '',
        'engine_title'      => '',
        'engine_url'        => '',
    );

    /* SEOBulls */
    $unknownBots['seobulls'] = array(
        'platform_type'     => 'bot',
        'platform_format'   => 'desktop',
        'bot_title'         => 'SEO Bulls (Unknown bot)',
        'bot_url'           => '',
        'engine_title'      => '',
        'engine_url'        => '',
    );

    /* unknown bot */
    $unknownBots['tmm crawler'] = array(
        'platform_type'     => 'bot',
        'platform_format'   => 'desktop',
        'bot_title'         => 'TMM Crawler (Unknown bot)',
        'bot_url'           => '',
        'engine_title'      => '',
        'engine_url'        => '',
    );

    /* unknown bot */
    $unknownBots['no.indexing@gmail.com'] = array(
        'platform_type'     => 'bot',
        'platform_format'   => 'desktop',
        'bot_title'         => 'Unknown bot',
        'bot_url'           => 'mailto:no.indexing@gmail.com',
        'engine_title'      => '',
        'engine_url'        => '',
    );

    /* unknown bot */
    $unknownBots['nbertaupete95(at)gmail.com'] = array(
        'platform_type'     => 'bot',
        'platform_format'   => 'desktop',
        'bot_title'         => 'Unknown bot',
        'bot_url'           => 'mailto:nbertaupete95@gmail.com',
        'engine_title'      => '',
        'engine_url'        => '',
    );

    /* Centurybot9 */
    $unknownBots['centurybot9'] = array(
        'platform_type'     => 'bot',
        'platform_format'   => 'desktop',
        'bot_title'         => 'Centurybot9 (Unknown bot)',
        'bot_url'           => 'mailto:centurybot9@gmail.com',
        'engine_title'      => '',
        'engine_url'        => '',
    );

    /* Centurybot9 */
    $unknownBots['centuryb.o.t9[at]gmail.com'] = array(
        'platform_type'     => 'bot',
        'platform_format'   => 'desktop',
        'bot_title'         => 'Centurybot9 (Unknown bot)',
        'bot_url'           => 'mailto:centuryb.o.t9@gmail.com',
        'engine_title'      => '',
        'engine_url'        => '',
    );

    /* celious search engine */
    $unknownBots['celious search engine'] = array(
        'platform_type'     => 'bot',
        'platform_format'   => 'desktop',
        'bot_title'         => 'Celious Search Engine (Unknown bot)',
        'bot_url'           => '',
        'engine_title'      => '',
        'engine_url'        => '',
    );

    /* SMURLExpander */
    $unknownBots['smurlexpander'] = array(
        'platform_type'     => 'bot',
        'platform_format'   => 'desktop',
        'bot_title'         => 'SMURLExpander (Unknown bot)',
        'bot_url'           => '',
        'engine_title'      => '',
        'engine_url'        => '',
    );

    /* DnyzBot */
    $unknownBots['dnyzbot'] = array(
        'platform_type'     => 'bot',
        'platform_format'   => 'desktop',
        'bot_title'         => 'DnyzBot (Unknown bot)',
        'bot_url'           => '',
        'engine_title'      => '',
        'engine_url'        => '',
    );

    /* adscanner */
    $unknownBots['adscanner'] = array(
        'platform_type'     => 'bot',
        'platform_format'   => 'desktop',
        'bot_title'         => 'adscanner (Unknown bot)',
        'bot_url'           => '',
        'engine_title'      => '',
        'engine_url'        => '',
    );

    /* UCmore */
    $unknownBots['ucmore'] = array(
        'platform_type'     => 'bot',
        'platform_format'   => 'desktop',
        'bot_title'         => 'UCmore (Unknown bot)',
        'bot_url'           => '',
        'engine_title'      => '',
        'engine_url'        => '',
    );

    /* BigDataCloud */
    $unknownBots['bigdatacloud'] = array(
        'platform_type'     => 'bot',
        'platform_format'   => 'desktop',
        'bot_title'         => 'BigDataCloud (Unknown bot)',
        'bot_url'           => '',
        'engine_title'      => '',
        'engine_url'        => '',
    );

    /* Peopleman */
    $unknownBots['peopleman'] = array(
        'platform_type'     => 'bot',
        'platform_format'   => 'desktop',
        'bot_title'         => 'Peopleman (Unknown bot)',
        'bot_url'           => '',
        'engine_title'      => '',
        'engine_url'        => '',
    );

    /* KickFire */
    $unknownBots['kickfire'] = array(
        'platform_type'     => 'bot',
        'platform_format'   => 'desktop',
        'bot_title'         => 'KickFire (Unknown bot)',
        'bot_url'           => '',
        'engine_title'      => '',
        'engine_url'        => '',
    );

    /* Microgine Crawler */
    $unknownBots['microgine crawler'] = array(
        'platform_type'     => 'bot',
        'platform_format'   => 'desktop',
        'bot_title'         => 'Microgine Crawler (Unknown bot)',
        'bot_url'           => '',
        'engine_title'      => '',
        'engine_url'        => '',
    );

    /* Meta_Bot */
    $unknownBots['meta_bot'] = array(
        'platform_type'     => 'bot',
        'platform_format'   => 'desktop',
        'bot_title'         => 'Meta_Bot (Unknown bot)',
        'bot_url'           => '',
        'engine_title'      => '',
        'engine_url'        => '',
    );

    /* Your-Website-Sucks */
    $unknownBots['your-website-sucks'] = array(
        'platform_type'     => 'bot',
        'platform_format'   => 'desktop',
        'bot_title'         => 'Your-Website-Sucks (Unknown bot)',
        'bot_url'           => 'http://www.Your-Website-Sucks.net/',
        'engine_title'      => '',
        'engine_url'        => '',
    );

    /* test/0.1 (tester)    */
    $unknownBots['(tester)'] = array(
        'platform_type'     => 'bot',
        'platform_format'   => 'desktop',
        'bot_title'         => 'test (Unknown bot)',
        'bot_url'           => '',
        'engine_title'      => '',
        'engine_url'        => '',
    );

    /* MauiBot */
    $unknownBots['mauibot'] = array(
        'platform_type'     => 'bot',
        'platform_format'   => 'desktop',
        'bot_title'         => 'MauiBot',
        'bot_url'           => 'mailto:crawler.feedback+beta@gmail.com',
        'engine_title'      => '',
        'engine_url'        => '',
    );

    /* MauiBot ? crawler (crawler.feedback@gmail.com) */
    $unknownBots['crawler.feedback@gmail.com'] = array(
        'platform_type'     => 'bot',
        'platform_format'   => 'desktop',
        'bot_title'         => 'crawler (crawler.feedback@gmail.com) (Unknown bot)',
        'bot_url'           => 'mailto:crawler.feedback@gmail.com',
        'engine_title'      => '',
        'engine_url'        => '',
    );

    /* Auto Spider */
    $unknownBots['auto spider'] = array(
        'platform_type'     => 'bot',
        'platform_format'   => 'desktop',
        'bot_title'         => 'Auto Spider (Unknown bot)',
        'bot_url'           => '',
        'engine_title'      => '',
        'engine_url'        => '',
    );

    /* The Knowledge AI */
    $unknownBots['the knowledge ai'] = array(
        'platform_type'     => 'bot',
        'platform_format'   => 'desktop',
        'bot_title'         => 'The Knowledge AI (Unknown bot)',
        'bot_url'           => '',
        'engine_title'      => '',
        'engine_url'        => '',
    );

    /* CRMNLCrawlAgent */
    $unknownBots['crmnlcrawlagent'] = array(
        'platform_type'     => 'bot',
        'platform_format'   => 'desktop',
        'bot_title'         => 'CRMNLCrawlAgent (Unknown bot)',
        'bot_url'           => '',
        'engine_title'      => '',
        'engine_url'        => '',
    );

    /* SOcrawl */
    $unknownBots['socrawl'] = array(
        'platform_type'     => 'bot',
        'platform_format'   => 'desktop',
        'bot_title'         => 'SOcrawl (Unknown bot)',
        'bot_url'           => '',
        'engine_title'      => '',
        'engine_url'        => '',
    );

    /* Kerrigan */
    $unknownBots['kerrigan'] = array(
        'platform_type'     => 'bot',
        'platform_format'   => 'desktop',
        'bot_title'         => 'Kerrigan (Unknown bot)',
        'bot_url'           => 'mailto:kerrigan@mashable.com',
        'engine_title'      => '',
        'engine_url'        => '',
    );

    /* dcrawl */
    $unknownBots['dcrawl'] = array(
        'platform_type'     => 'bot',
        'platform_format'   => 'desktop',
        'bot_title'         => 'dcrawl (Unknown bot)',
        'bot_url'           => '',
        'engine_title'      => '',
        'engine_url'        => '',
    );

    /* BUFF library */
    $unknownBots['buff library'] = array(
        'platform_type'     => 'bot',
        'platform_format'   => 'desktop',
        'bot_title'         => 'BUFF library (Unknown bot)',
        'bot_url'           => '',
        'engine_title'      => '',
        'engine_url'        => '',
    );

    /* WordupinfoSearch */
    $unknownBots['wordupinfosearch'] = array(
        'platform_type'     => 'bot',
        'platform_format'   => 'desktop',
        'bot_title'         => 'WordupinfoSearch (Unknown bot)',
        'bot_url'           => '',
        'engine_title'      => '',
        'engine_url'        => '',
    );

    /* Who.is Bot */
    $unknownBots['who.is bot'] = array(
        'platform_type'     => 'bot',
        'platform_format'   => 'desktop',
        'bot_title'         => 'Who.is Bot (Unknown bot)',
        'bot_url'           => '',
        'engine_title'      => '',
        'engine_url'        => '',
    );

    /* HoneyBee Bot */
    $unknownBots['honeybee'] = array(
        'platform_type'     => 'bot',
        'platform_format'   => 'desktop',
        'bot_title'         => 'HoneyBee (Unknown bot)',
        'bot_url'           => '',
        'engine_title'      => '',
        'engine_url'        => '',
    );

    /* Blackboard Safeassign Bot */
    $unknownBots['blackboard safeassign'] = array(
        'platform_type'     => 'bot',
        'platform_format'   => 'desktop',
        'bot_title'         => 'Blackboard Safeassign (Unknown bot)',
        'bot_url'           => '',
        'engine_title'      => '',
        'engine_url'        => '',
    );

    /* SIMON SMITH Bot */
    $unknownBots['simon smith'] = array(
        'platform_type'     => 'bot',
        'platform_format'   => 'desktop',
        'bot_title'         => 'Simon Smith (Unknown bot)',
        'bot_url'           => 'forensic@evestigator.com.au',
        'engine_title'      => '',
        'engine_url'        => '',
    );

    /* YunSecurityBot */
    $unknownBots['yunsecuritybot'] = array(
        'platform_type'     => 'bot',
        'platform_format'   => 'desktop',
        'bot_title'         => 'YunSecurityBot (Unknown bot)',
        'bot_url'           => '',
        'engine_title'      => '',
        'engine_url'        => '',
    );

    /* NETCOMplete */
    $unknownBots['netcomplete'] = array(
        'platform_type'     => 'bot',
        'platform_format'   => 'desktop',
        'bot_title'         => 'NETCOMplete (Unknown bot)',
        'bot_url'           => '',
        'engine_title'      => '',
        'engine_url'        => '',
    );

    /* PocketImageCache - PocketParser (https://getpocket.com) bot ? */
    $unknownBots['pocketimagecache'] = array(
        'platform_type'     => 'bot',
        'platform_format'   => 'desktop',
        'bot_title'         => 'PocketImageCache (Unknown bot)',
        'bot_url'           => '',
        'engine_title'      => '',
        'engine_url'        => '',
    );

    /* Honeso */
    $unknownBots['honeso'] = array(
        'platform_type'     => 'bot',
        'platform_format'   => 'desktop',
        'bot_title'         => 'Honeso (Unknown bot)',
        'bot_url'           => '',
        'engine_title'      => '',
        'engine_url'        => '',
    );

    /* oebot */
    $unknownBots['oebot'] = array(
        'platform_type'     => 'bot',
        'platform_format'   => 'desktop',
        'bot_title'         => 'oebot (Unknown bot)',
        'bot_url'           => '',
        'engine_title'      => '',
        'engine_url'        => '',
    );

    /* di-cloud-parser  */
    $unknownBots['di-cloud-parser'] = array(
        'platform_type'     => 'bot',
        'platform_format'   => 'desktop',
        'bot_title'         => 'di-cloud-parser (Unknown bot)',
        'bot_url'           => '',
        'engine_title'      => '',
        'engine_url'        => '',
    );

    /* ggpht.com */
    $unknownBots['ggpht.com'] = array(
        'platform_type'     => 'bot',
        'platform_format'   => 'desktop',
        'bot_title'         => 'ggpht.com GoogleImageProxy (Unknown bot)',
        'bot_url'           => '',
        'engine_title'      => '',
        'engine_url'        => '',
    );

    /* EECS398 bot */
    $unknownBots['eecs398 bot'] = array(
        'platform_type'     => 'bot',
        'platform_format'   => 'desktop',
        'bot_title'         => 'EECS398 bot (Unknown bot)',
        'bot_url'           => 'mailto:eecs398.contact@gmail.com',
        'engine_title'      => '',
        'engine_url'        => '',
    );

    /* B2B Bot */
    $unknownBots['b2b bot'] = array(
        'platform_type'     => 'bot',
        'platform_format'   => 'desktop',
        'bot_title'         => 'B2B Bot (Unknown bot)',
        'bot_url'           => '',
        'engine_title'      => '',
        'engine_url'        => '',
    );

    /* ABCrawler2019 */
    $unknownBots['abcrawler2019'] = array(
        'platform_type'     => 'bot',
        'platform_format'   => 'desktop',
        'bot_title'         => 'ABCrawler2019 (Unknown bot)',
        'bot_url'           => '',
        'engine_title'      => '',
        'engine_url'        => '',
    );

    /* 8LEGS */
    $unknownBots['8legs'] = array(
        'platform_type'     => 'bot',
        'platform_format'   => 'desktop',
        'bot_title'         => '8LEGS (Unknown bot)',
        'bot_url'           => '',
        'engine_title'      => '',
        'engine_url'        => '',
    );

    /* BacklinkHttpStatus */
    $unknownBots['backlinkhttpstatus'] = array(
        'platform_type'     => 'bot',
        'platform_format'   => 'desktop',
        'bot_title'         => 'BacklinkHttpStatus (Unknown bot)',
        'bot_url'           => '',
        'engine_title'      => '',
        'engine_url'        => '',
    );

    /* Ceatles */
    $unknownBots['ceatles'] = array(
        'platform_type'     => 'bot',
        'platform_format'   => 'desktop',
        'bot_title'         => 'Ceatles (Unknown bot)',
        'bot_url'           => '',
        'engine_title'      => '',
        'engine_url'        => '',
    );

    /* backlinkCheck */
    $unknownBots['backlinkcheckv'] = array(
        'platform_type'     => 'bot',
        'platform_format'   => 'desktop',
        'bot_title'         => 'backlinkCheck (Unknown tool)',
        'bot_url'           => '',
        'engine_title'      => '',
        'engine_url'        => '',
    );

    /* marky */
    $unknownBots['marky'] = array(
        'platform_type'     => 'bot',
        'platform_format'   => 'desktop',
        'bot_title'         => 'Marky (Unknown bot)',
        'bot_url'           => '',
        'engine_title'      => '',
        'engine_url'        => '',
    );

    /* marky */
    $unknownBots['tspider'] = array(
        'platform_type'     => 'bot',
        'platform_format'   => 'desktop',
        'bot_title'         => 'TSpider (Unknown bot)',
        'bot_url'           => '',
        'engine_title'      => '',
        'engine_url'        => '',
    );

    /* CLcrawler */
    $unknownBots['clcrawler'] = array(
        'platform_type'     => 'bot',
        'platform_format'   => 'desktop',
        'bot_title'         => 'CLcrawler (Unknown bot)',
        'bot_url'           => '',
        'engine_title'      => '',
        'engine_url'        => '',
    );

    /* brands-bot */
    $unknownBots['brands-bot'] = array(
        'platform_type'     => 'bot',
        'platform_format'   => 'desktop',
        'bot_title'         => 'brands-bot (Unknown bot)',
        'bot_url'           => '',
        'engine_title'      => '',
        'engine_url'        => '',
    );

    /* Orbbot */
    $unknownBots['orbbot'] = array(
        'platform_type'     => 'bot',
        'platform_format'   => 'desktop',
        'bot_title'         => 'Orbbot (Unknown bot)',
        'bot_url'           => '',
        'engine_title'      => '',
        'engine_url'        => '',
    );

    /* bbot */
    $unknownBots['bbot'] = array(
        'platform_type'     => 'bot',
        'platform_format'   => 'desktop',
        'bot_title'         => 'bbot (Unknown bot)',
        'bot_url'           => '',
        'engine_title'      => '',
        'engine_url'        => '',
    );

    /* DF Bot */
    $unknownBots['df bot'] = array(
        'platform_type'     => 'bot',
        'platform_format'   => 'desktop',
        'bot_title'         => 'DF Bot (Unknown bot)',
        'bot_url'           => '',
        'engine_title'      => '',
        'engine_url'        => '',
    );

    /* "spider" *
    $unknownBots['spider'] = array(
        'platform_type'     => 'bot',
        'platform_format'   => 'desktop',
        'bot_title'         => 'spider (Unknown bot)',
        'bot_url'           => '',
        'engine_title'      => '',
        'engine_url'        => '',
    );

    / * raisupgraph */
    $unknownBots['raisupgraph'] = array(
        'platform_type'     => 'bot',
        'platform_format'   => 'desktop',
        'bot_title'         => 'raisupgraph (Unknown bot)',
        'bot_url'           => '',
        'engine_title'      => '',
        'engine_url'        => '',
    );

    /* internet-structure-research-project-bot */
    $unknownBots['internet-structure-research-project-bot'] = array(
        'platform_type'     => 'bot',
        'platform_format'   => 'desktop',
        'bot_title'         => 'Internet-structure-research-project-bot (Unknown bot)',
        'bot_url'           => '',
        'engine_title'      => '',
        'engine_url'        => '',
    );

    /* info bot */
    $unknownBots['info bot'] = array(
        'platform_type'     => 'bot',
        'platform_format'   => 'desktop',
        'bot_title'         => 'Info bot (Unknown bot)',
        'bot_url'           => '',
        'engine_title'      => '',
        'engine_url'        => '',
    );

    /* mattermost */
    $unknownBots['mattermost'] = array(
        'platform_type'     => 'bot',
        'platform_format'   => 'desktop',
        'bot_title'         => 'mattermost (Unknown bot)',
        'bot_url'           => '',
        'engine_title'      => '',
        'engine_url'        => '',
    );

    /* PiOrbo : before Orbo */
    $unknownBots['piorbo'] = array(
        'platform_type'     => 'bot',
        'platform_format'   => 'desktop',
        'bot_title'         => 'PiOrbo (Unknown bot)',
        'bot_url'           => '',
        'engine_title'      => '',
        'engine_url'        => '',
    );

    /* Orbo */
    $unknownBots['orbo'] = array(
        'platform_type'     => 'bot',
        'platform_format'   => 'desktop',
        'bot_title'         => 'Orbo (Unknown bot)',
        'bot_url'           => '',
        'engine_title'      => '',
        'engine_url'        => '',
    );

    /* CowBot */
    $unknownBots['cowbot'] = array(
        'platform_type'     => 'bot',
        'platform_format'   => 'desktop',
        'bot_title'         => 'CowBot (Unknown bot)',
        'bot_url'           => '',
        'engine_title'      => '',
        'engine_url'        => '',
    );

    /* Aspiegelbot */
    $unknownBots['aspiegelbot'] = array(
        'platform_type'     => 'bot',
        'platform_format'   => 'desktop',
        'bot_title'         => 'Aspiegelbot (Unknown bot)',
        'bot_url'           => '',
        'engine_title'      => '',
        'engine_url'        => '',
    );

    /* ShortLinkTranslate */
    $unknownBots['shortlinktranslate'] = array(
        'platform_type'     => 'bot',
        'platform_format'   => 'desktop',
        'bot_title'         => 'ShortLinkTranslate (Unknown bot)',
        'bot_url'           => '',
        'engine_title'      => '',
        'engine_url'        => '',
    );

    /* BorneoBot */
    $unknownBots['borneobot'] = array(
        'platform_type'     => 'bot',
        'platform_format'   => 'desktop',
        'bot_title'         => 'BorneoBot (Unknown bot)',
        'bot_url'           => '',
        'engine_title'      => '',
        'engine_url'        => '',
    );

    /* Watchville Importer */
    $unknownBots['watchville importer'] = array(
        'platform_type'     => 'bot',
        'platform_format'   => 'desktop',
        'bot_title'         => 'Watchville Importer (Unknown bot)',
        'bot_url'           => '',
        'engine_title'      => '',
        'engine_url'        => '',
    );

    /* Asana */
    $unknownBots['asana'] = array(
        'platform_type'     => 'bot',
        'platform_format'   => 'desktop',
        'bot_title'         => 'Asana WebsiteMetadataRetriever (Unknown bot)',
        'bot_url'           => '',
        'engine_title'      => '',
        'engine_url'        => '',
    );

    /* Invision Community 4 */
    $unknownBots['invision community 4'] = array(
        'platform_type'     => 'bot',
        'platform_format'   => 'desktop',
        'bot_title'         => 'Invision Community 4 (Unknown bot)',
        'bot_url'           => '',
        'engine_title'      => '',
        'engine_url'        => '',
    );

    /* HealthCheckBot */
    $unknownBots['healthcheckbot'] = array(
        'platform_type'     => 'bot',
        'platform_format'   => 'desktop',
        'bot_title'         => 'HealthCheckBot (Unknown bot)',
        'bot_url'           => '',
        'engine_title'      => '',
        'engine_url'        => '',
    );

    /* AccompanyBot */
    $unknownBots['accompanybot'] = array(
        'platform_type'     => 'bot',
        'platform_format'   => 'desktop',
        'bot_title'         => 'AccompanyBot (Unknown bot)',
        'bot_url'           => '',
        'engine_title'      => '',
        'engine_url'        => '',
    );

    /* SeoChecker */
    $unknownBots['seochecker'] = array(
        'platform_type'     => 'bot',
        'platform_format'   => 'desktop',
        'bot_title'         => 'SeoChecker (Unknown bot)',
        'bot_url'           => '',
        'engine_title'      => '',
        'engine_url'        => '',
    );

    /* BananaBot */
    $unknownBots['bananabot'] = array(
        'platform_type'     => 'bot',
        'platform_format'   => 'desktop',
        'bot_title'         => 'BananaBot (Unknown bot)',
        'bot_url'           => '',
        'engine_title'      => '',
        'engine_url'        => '',
    );

    /* NiueBot */
    $unknownBots['niuebot'] = array(
        'platform_type'     => 'bot',
        'platform_format'   => 'desktop',
        'bot_title'         => 'NiueBot (Unknown bot)',
        'bot_url'           => '',
        'engine_title'      => '',
        'engine_url'        => '',
    );

    /* Version-IV-1.18-Smart-Agent */
    $unknownBots['version-iv-'] = array(
        'platform_type'     => 'bot',
        'platform_format'   => 'desktop',
        'bot_title'         => 'Version-IV-1.18-Smart-Agent (Unknown bot)',
        'bot_url'           => '',
        'engine_title'      => '',
        'engine_url'        => '',
    );

    /* XYZ Spider */
    $unknownBots['xyz spider'] = array(
        'platform_type'     => 'bot',
        'platform_format'   => 'desktop',
        'bot_title'         => 'XYZ Spider (Unknown bot)',
        'bot_url'           => '',
        'engine_title'      => '',
        'engine_url'        => '',
    );

    /* line-poker */
    $unknownBots['line-poker'] = array(
        'platform_type'     => 'bot',
        'platform_format'   => 'desktop',
        'bot_title'         => 'line-poker (Unknown bot)',
        'bot_url'           => '',
        'engine_title'      => '',
        'engine_url'        => '',
    );

    /* Embarcadero URI Client */
    $unknownBots['embarcadero uri client'] = array(
        'platform_type'     => 'bot',
        'platform_format'   => 'desktop',
        'bot_title'         => 'Embarcadero URI Client (Unknown bot)',
        'bot_url'           => '',
        'engine_title'      => '',
        'engine_url'        => '',
    );

    /* TestBot */
    $unknownBots['testbot'] = array(
        'platform_type'     => 'bot',
        'platform_format'   => 'desktop',
        'bot_title'         => 'TestBot (Unknown bot)',
        'bot_url'           => '',
        'engine_title'      => '',
        'engine_url'        => '',
    );

    /* Crawler Test */
    $unknownBots['crawler test'] = array(
        'platform_type'     => 'bot',
        'platform_format'   => 'desktop',
        'bot_title'         => 'Crawler Test (Unknown bot)',
        'bot_url'           => '',
        'engine_title'      => '',
        'engine_url'        => '',
    );

    /* TprAdsTxtCrawler */
    $unknownBots['tpradstxtcrawler'] = array(
        'platform_type'     => 'bot',
        'platform_format'   => 'desktop',
        'bot_title'         => 'TprAdsTxtCrawler (Unknown bot)',
        'bot_url'           => '',
        'engine_title'      => '',
        'engine_url'        => '',
    );

    /* root@user-agent.ipmap.io */
    $unknownBots['root@user-agent.ipmap.io'] = array(
        'platform_type'     => 'bot',
        'platform_format'   => 'desktop',
        'bot_title'         => 'root@user-agent.ipmap.io (Unknown bot)',
        'bot_url'           => '',
        'engine_title'      => '',
        'engine_url'        => '',
    );

    /* TkBot */
    $unknownBots['tkbot'] = array(
        'platform_type'     => 'bot',
        'platform_format'   => 'desktop',
        'bot_title'         => 'TkBot (Unknown bot)',
        'bot_url'           => '',
        'engine_title'      => '',
        'engine_url'        => '',
    );

    /* for legitimate research purposes only */
    $unknownBots['for legitimate research purposes only'] = array(
        'platform_type'     => 'bot',
        'platform_format'   => 'desktop',
        'bot_title'         => '(Unknown bot)',
        'bot_url'           => '',
        'engine_title'      => '',
        'engine_url'        => '',
    );

    /* slithyweb */
    $unknownBots['slithyweb'] = array(
        'platform_type'     => 'bot',
        'platform_format'   => 'desktop',
        'bot_title'         => 'slithyweb (Unknown bot)',
        'bot_url'           => '',
        'engine_title'      => '',
        'engine_url'        => '',
    );

    /* Spider_Bot */
    $unknownBots['spider_bot'] = array(
        'platform_type'     => 'bot',
        'platform_format'   => 'desktop',
        'bot_title'         => 'Spider_Bot (Unknown bot)',
        'bot_url'           => '',
        'engine_title'      => '',
        'engine_url'        => '',
    );

    /* ScamadviserExternalHit */
    $unknownBots['scamadviserexternalhit'] = array(
        'platform_type'     => 'bot',
        'platform_format'   => 'desktop',
        'bot_title'         => 'ScamadviserExternalHit (Unknown bot)',
        'bot_url'           => '',
        'engine_title'      => '',
        'engine_url'        => '',
    );

    /* ThinkBot */
    $unknownBots['thinkbot'] = array(
        'platform_type'     => 'bot',
        'platform_format'   => 'desktop',
        'bot_title'         => 'ThinkBot (Unknown bot)',
        'bot_url'           => '',
        'engine_title'      => '',
        'engine_url'        => '',
    );

    /* NomDomaineSiren : unknown french bot */
    $unknownBots['nomdomainesiren'] = array(
        'platform_type'     => 'bot',
        'platform_format'   => 'desktop',
        'bot_title'         => 'NomDomaineSiren (Unknown bot)',
        'bot_url'           => '',
        'engine_title'      => '',
        'engine_url'        => '',
    );

    /* crusty : unknown russian bot (46.228.108.122) */
    $unknownBots['crusty'] = array(
        'platform_type'     => 'bot',
        'platform_format'   => 'desktop',
        'bot_title'         => 'crusty (Unknown bot)',
        'bot_url'           => '',
        'engine_title'      => '',
        'engine_url'        => '',
    );

    /* test.org */
    $unknownBots['test.org'] = array(
        'platform_type'     => 'bot',
        'platform_format'   => 'desktop',
        'bot_title'         => 'Test.org (Unknown bot)',
        'bot_url'           => '',
        'engine_title'      => '',
        'engine_url'        => '',
    );

    /* Presearch Images */
    $unknownBots['presearch images'] = array(
        'platform_type'     => 'bot',
        'platform_format'   => 'desktop',
        'bot_title'         => 'Presearch Images (Unknown bot)',
        'bot_url'           => '',
        'engine_title'      => '',
        'engine_url'        => '',
    );

    /* Spider *
    $unknownBots['spider'] = array(
        'platform_type'     => 'bot',
        'platform_format'   => 'desktop',
        'bot_title'         => 'Spider (Unknown bot)',
        'bot_url'           => '',
        'engine_title'      => '',
        'engine_url'        => '',
    );
    */

    /* clark-crawler */
    $unknownBots['clark-crawler'] = array(
        'platform_type'     => 'bot',
        'platform_format'   => 'desktop',
        'bot_title'         => 'clark-crawler (Unknown bot)',
        'bot_url'           => '',
        'engine_title'      => '',
        'engine_url'        => '',
    );

    /* tes-cocrawler */
    $unknownBots['tes-cocrawler'] = array(
        'platform_type'     => 'bot',
        'platform_format'   => 'desktop',
        'bot_title'         => 'tes-cocrawler (Unknown bot)',
        'bot_url'           => '',
        'engine_title'      => '',
        'engine_url'        => '',
    );

    /* NotionEmbedder */
    $unknownBots['notionembedder'] = array(
        'platform_type'     => 'bot',
        'platform_format'   => 'desktop',
        'bot_title'         => 'NotionEmbedder (Unknown bot)',
        'bot_url'           => '',
        'engine_title'      => '',
        'engine_url'        => '',
    );

    /* return bot list */
    return $unknownBots;
}
