<?php
/**
 * @brief Gionee client devices specific methods
 * @details Engine / Tool Library
 * @file engine/lib/tool/clientDevices/Gionee.php.inc
 * @author CaMykS Team <camyks.contact@gmail.com>
 * @version 1.0.4
 * @date Creation: Sep 2018
 * @date Modification: Apr 2020
 * @copyright 2018 - 2020 CaMykS Team
 * @note This program is distributed as is - WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * @warning This library is not loaded with CaMykS initialisation.
 */

/**
 * Return Gionee client device information from a known list.
 * @param mixed $deviceCode
 * @return array
 */
function get_GioneeClientDevice($deviceCode='') {
    $deviceList = array(
        'M5'        => array('platform_model' => 'M5', 'platform_year' => 2015),
        'M5_lite'   => array('platform_model' => 'M5 Lite', 'platform_year' => 2015),
        'F103 Pro'  => array('platform_year' => 2016),
        'P8W'       => array('platform_year' => 2017),
    );

    /* Check for returning list */
    if ($deviceCode === false)
      return $deviceList;

    /* Initialise result. */
    $result = array(
        'platform_company'  => 'Gionee',
        'platform_country'  => 'cn',
        'platform_model'    => $deviceCode,
        'platform_type'     => 'handheld',
        'platform_format'   => 'handheld',
    );

    /* Check if device is a known device. */
    if (!array_key_exists($deviceCode, $deviceList))
        return $result;

    /* Return result. */
    return array_merge($result, $deviceList[$deviceCode]);
}
?>
