<?php
/**
 * @brief Qilive client devices specific methods
 * @details Engine / Tool Library
 * @file engine/lib/tool/clientDevices/Qilive.php.inc
 * @author CaMykS Team <camyks.contact@gmail.com>
 * @version 1.0.2
 * @date Creation: Feb 2019
 * @date Modification: Sep 2019
 * @copyright 2019 CaMykS Team
 * @note This program is distributed as is - WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * @warning This library is not loaded with CaMykS initialisation.
 */

/**
 * Return Qilive client device information from a known list.
 * @param mixed $deviceCode
 * @return array
 */
function get_QiliveClientDevice($deviceCode='') {
    $deviceList = array(
        'Q8S55IN4G2'    => array('platform_model' => 'Q8',     'platform_year' => 2017),
        'Q10S55IN4G2'   => array('platform_model' => 'Q10',    'platform_year' => 2018),
    );

    /* Check for returning list */
    if ($deviceCode === false)
      return $deviceList;

    /* Initialise result. */
    $result = array(
        'platform_company'  => 'Qilive',
        'platform_country'  => 'fr',
        'platform_model'    => $deviceCode,
        'platform_type'     => 'handheld',
        'platform_format'   => 'handheld',
    );

    /* Check if device is a known device. */
    if (!array_key_exists($deviceCode, $deviceList))
        return $result;

    /* Return result. */
    return array_merge($result, $deviceList[$deviceCode]);
}
?>
